curl --request POST \
--url https://api.fabric.inc/v3/location-capacity/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"sort": "-capacityOverride.createdAt",
"filters": [
{
"field": "capacityOverride.status",
"value": "CREATED",
"condition": "EQ"
}
]
}
'import requests
url = "https://api.fabric.inc/v3/location-capacity/search"
payload = {
"sort": "-capacityOverride.createdAt",
"filters": [
{
"field": "capacityOverride.status",
"value": "CREATED",
"condition": "EQ"
}
]
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sort: '-capacityOverride.createdAt',
filters: [{field: 'capacityOverride.status', value: 'CREATED', condition: 'EQ'}]
})
};
fetch('https://api.fabric.inc/v3/location-capacity/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/location-capacity/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sort' => '-capacityOverride.createdAt',
'filters' => [
[
'field' => 'capacityOverride.status',
'value' => 'CREATED',
'condition' => 'EQ'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/location-capacity/search"
payload := strings.NewReader("{\n \"sort\": \"-capacityOverride.createdAt\",\n \"filters\": [\n {\n \"field\": \"capacityOverride.status\",\n \"value\": \"CREATED\",\n \"condition\": \"EQ\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/location-capacity/search")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sort\": \"-capacityOverride.createdAt\",\n \"filters\": [\n {\n \"field\": \"capacityOverride.status\",\n \"value\": \"CREATED\",\n \"condition\": \"EQ\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/location-capacity/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sort\": \"-capacityOverride.createdAt\",\n \"filters\": [\n {\n \"field\": \"capacityOverride.status\",\n \"value\": \"CREATED\",\n \"condition\": \"EQ\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"pagination": {
"limit": 10,
"offset": 1,
"count": 1000
},
"data": [
{
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"capacityOverrideId": "9320183a01e214",
"capacityOverrideNumber": "capacityOverride1",
"locationNumber": "23",
"status": "CREATED",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"createdAt": "2022-05-12T09:30:31Z",
"updatedBy": "Carl Doe",
"updatedAt": "2022-05-12T09:30:31Z",
"auditLogs": [
{
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"auditType": "CANCEL",
"employeeId": 6227,
"auditedAt": "2023-03-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "Scratched item",
"subReasonCode": "Scratched item",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "SKU0023",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {
"key": "value"
},
"isSuccess": true
}
]
}
],
"stats": [
"<string>"
]
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}Search Overrides
Returns a list of capacity overrides by applying one or more filter criteria such as status, schedule, or location number.
curl --request POST \
--url https://api.fabric.inc/v3/location-capacity/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"sort": "-capacityOverride.createdAt",
"filters": [
{
"field": "capacityOverride.status",
"value": "CREATED",
"condition": "EQ"
}
]
}
'import requests
url = "https://api.fabric.inc/v3/location-capacity/search"
payload = {
"sort": "-capacityOverride.createdAt",
"filters": [
{
"field": "capacityOverride.status",
"value": "CREATED",
"condition": "EQ"
}
]
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sort: '-capacityOverride.createdAt',
filters: [{field: 'capacityOverride.status', value: 'CREATED', condition: 'EQ'}]
})
};
fetch('https://api.fabric.inc/v3/location-capacity/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/location-capacity/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sort' => '-capacityOverride.createdAt',
'filters' => [
[
'field' => 'capacityOverride.status',
'value' => 'CREATED',
'condition' => 'EQ'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/location-capacity/search"
payload := strings.NewReader("{\n \"sort\": \"-capacityOverride.createdAt\",\n \"filters\": [\n {\n \"field\": \"capacityOverride.status\",\n \"value\": \"CREATED\",\n \"condition\": \"EQ\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/location-capacity/search")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sort\": \"-capacityOverride.createdAt\",\n \"filters\": [\n {\n \"field\": \"capacityOverride.status\",\n \"value\": \"CREATED\",\n \"condition\": \"EQ\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/location-capacity/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sort\": \"-capacityOverride.createdAt\",\n \"filters\": [\n {\n \"field\": \"capacityOverride.status\",\n \"value\": \"CREATED\",\n \"condition\": \"EQ\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"pagination": {
"limit": 10,
"offset": 1,
"count": 1000
},
"data": [
{
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"capacityOverrideId": "9320183a01e214",
"capacityOverrideNumber": "capacityOverride1",
"locationNumber": "23",
"status": "CREATED",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"createdAt": "2022-05-12T09:30:31Z",
"updatedBy": "Carl Doe",
"updatedAt": "2022-05-12T09:30:31Z",
"auditLogs": [
{
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"auditType": "CANCEL",
"employeeId": 6227,
"auditedAt": "2023-03-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "Scratched item",
"subReasonCode": "Scratched item",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "SKU0023",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {
"key": "value"
},
"isSuccess": true
}
]
}
],
"stats": [
"<string>"
]
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Unique request ID
x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is an optional field. The default US channel is 12 while the default Canada channel is 13.
Query Parameters
Number of records to skip before returning all records. Default is 0 when no value is specified.
1
Maximum number of records per page
10
Body
Capacity Override search request
50List to filters for search
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Resource property on which data needed to be sorted on.
(^[+-]capacityOverride\.[a-zA-Z.\-_]*)(,([+-]alert\.[a-zA-Z.\-_]*)){0,}"+capacityOverride.createdAt"
Response
OK
Response object returned after searching for Capacity Overrides. Includes paginated data and optional summary statistics.
Was this page helpful?
